#ifndef FILEUTILS_H
#define FILEUTILS_H 

#include <sys/stat.h>
#include <string>

namespace tet
{

namespace classification
{

namespace util
{

inline bool file_exists(const std::string & name)
{
    struct stat buffer;
    return (stat (name.c_str(), &buffer) == 0);
}

} // namespace util

} // namespace classification

} // namespace tet

#endif /* FILEUTILS_H */
