import MySQLdb

import sys
import re
import os
import glob

def bingToSQL(classDir, mysqluser, mysqlpass):
    db = MySQLdb.connect(host="localhost", user=mysqluser, passwd=mysqlpass, db="tdw")
    cur = db.cursor()

    classItem = os.path.basename(os.path.normpath(classDir))

    if os.path.isdir(classDir):
        cur.execute("INSERT INTO bing_classes (name) VALUES ('{0}');".format(classItem))

        # iterate over each instance
        for instanceItem in os.listdir(classDir):
            instanceFile = os.path.join(classDir, instanceItem)
            if os.path.isfile(os.path.join(classDir, instanceItem)):
                instanceMatch = re.match("img(\d{1,3}).jpg$", instanceItem)
                if instanceMatch:
                    cur.execute("INSERT INTO bing_instances (class_id, file_id, filename) VALUES ((SELECT id FROM bing_classes WHERE name='{0}'), {1}, '{2}');".format(classItem, instanceMatch.group(1), os.path.abspath(instanceFile)))
    db.commit()
