from lxml import etree

class KCEncoding:
    def __init__(self):
        self.k = 800
        self.maxPooling = 1

    def toXML(self):
        root = etree.Element("encoding")

        k = etree.SubElement(root, "k")
        k.text = self.k
        maxPooling = etree.SubElement(root, "maxPooling")
        maxPooling.text = self.maxPooling

        return root
