from lxml import etree

class RBFKernel:
    def __init__(self):
        self.gamma = 1.0

    def toXML(self):
        root = etree.Element("kernel")
        root.set("type", "rbf")

        gamma = etree.SubElement(root, "gamma")
        gamma.text = str(self.gamma)

        return root

    def fromSettings(self, settings):
        self.gamma = float(settings.gamma)
