from lxml import etree

## Models a single class (one to multiple instances)
class TETClass:
    def __init__(self, name="default"):
        self.name = name
        self.instances = []

    ## Adds list of instances to class
    #  @param instances The instances to be added to the class (list)
    def addInstances(self, instances):
        self.instances += instances

    ## Converts this view to an lxml Element and returns it
    def toXMLElem(self):
        elem = etree.Element("class")
        name = ET.SubElement(settings, "name")
        name.text = self.name
        for instance in self.instances:
            elem.append(instance.toXMLElem())
        return elem
