from lxml import etree

## Models a single view (single image) of an instance.
class TETView:
    def __init__(self, filename="", gt=""):
        self.filename = filename
        self.gt = gt

    ## Converts this view to an lxml Element and returns it
    def toXMLElem(self):
        elem = etree.Element("view")
        filenameElem = etree.SubElement(elem, "filename")
        filenameElem.text = self.filename

        return elem
