#ifndef APPFACTORY_H
#define APPFACTORY_H

#include "tet/app/appbase.h"
#include "tet/app/classifierapp.h"
#include "tet/app/regressorapp.h"

namespace tet
{

namespace classification
{

namespace app
{

class AppFactory
{
public:
    AppBase * createApp(const std::string &app,
                        const std::string &desc,
                        const std::string &enc);
};

} // namespace app

} // namespace classification

} // namespace tet

#endif /* APPFACTORY_H */
