#include "tet/io/sampleloader.h"

namespace tet
{

namespace classification
{

namespace containers
{

template <class MatType>
cv::Mat* View::getInput() const
{
    if (_input == nullptr)
    {
        _input = tet::classification::io::loadSample<MatType>(_filename);
    }

    return _input;
}


} // namespace containers

} // namespace classification

} // namespace tet
