#ifndef EVALDATAPOINT_H
#define EVALDATAPOINT_H 

namespace tet
{

namespace classification
{

namespace eval
{

class EvalDataPoint
{
public:
    EvalDataPoint(float computed, float gt) :
        _computed(computed), _gt(gt) {}

    float getGT() const
    { return _gt; }

    float getComputed() const
    { return _computed; }

protected:

private:
    float _computed;
    float _gt;

}; // class EvalDataPoint

} // namespace eval

} // namespace classification

} // namespace tet

#endif /* EVALDATAPOINT_H */
