#ifndef FLOATRESULT_H
#define FLOATRESULT_H 

#include "tet/eval/evalresult.h"

namespace tet
{

namespace classification
{

namespace eval
{

template <class Scalar>
struct ScalarResult : public EvalResult
{
    ScalarResult<Scalar>() {}
    ScalarResult<Scalar>(Scalar v) : value(v) {}

    void setValue(Scalar v)
    { value = v; }

    typedef Scalar value_type;
    Scalar value;
};

} // namespace eval

} // namespace classification

} // namespace tet

#endif /* FLOATRESULT_H */
