#ifndef PRINTUTILS_H
#define PRINTUTILS_H 

#include <string>
#include <iostream>

#define TETLOG(msg) std::cout << "[" << __FILE__ << ":" << __LINE__ << ", " << __func__ << "] " << msg << std::endl

inline void funcMsg(std::string function, std::string part, std::string msg)
{
    if (part == "")
    {
        std::cout << "[" << function << "] " << msg << std::endl;
    } else if (msg == "")
    {
        std::cout << "[" << function << " | " << part << "]" << std::endl;
    } else {
        std::cout << "[" << function << " | " << part << "] " << msg << std::endl;
    }
}

#endif /* PRINTUTILS_H */
