from cnndescriptor import CNNDescriptor
from hogdescriptor import HOGDescriptor

class DescriptorFactory:

    ## Creates and returns descriptors from string
    # @param descStr The string representation of the descriptor
    def get(self, descStr):
        if descStr == "hog":
            return HOGDescriptor()
        elif descStr == "cnn":
            return CNNDescriptor()
        else:
            return None
