from identityencoding import IdentityEncoding
from kcencoding       import KCEncoding

class EncodingFactory:

    ## Creates and returns encodings from string
    # @param encStr The string representation of the encoding
    def get(self, encStr):
        if encStr == "kc":
            return KCEncoding()
        elif encStr == "iden":
            return IdentityEncoding()
        else:
            return None
