import xml.etree.cElementTree as ET
import xml.dom.minidom as minidom
import sys
import operator

import re

def getInstancesAboveThreshold(xmlFile, thresh):
    root = ET.parse(xmlFile)

    instances = []
    for instance in root.findall(".//tests/set/class/instance"):
        instanceIdx = re.search("img(\d\d\d\d)_views", instance.find("./view/filename").text).group(1)
        for view in instance.findall(".//view"):
            score = float(view.find("./score").text)
            if score >= thresh:
                instances.append(int(instanceIdx))
                break

    return instances
